using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Nesusedni
{
    class Program
    {
        static void Main(string[] args)
        {
            string s = Console.ReadLine();
            string[] st = Console.ReadLine().Split();
            int a1 = int.Parse(st[0]);
            int a2 = int.Parse(st[1]);
            StringBuilder sb = new StringBuilder();
            if (a1 - a2 > 1 || a2 - a1 > 1)
                Console.WriteLine("nemoguce");
            else if (a1 > a2)
            {
                for (int i = 0; i < a2; i++)
                {
                    sb.Append(s);
                }
                sb.Append(s[0]);
                Console.WriteLine(sb);
            }
            else if (a2 > a1)
            {
                sb.Append(s[1]);
                for (int i = 0; i < a1; i++)
                {
                    sb.Append(s);
                }
                Console.WriteLine(sb);
            }
            else
            {
                for (int i = 0; i < a1; i++)
                {
                    sb.Append(s);
                }
                Console.WriteLine(sb);
            }
        }
    }
}